on: [push, pull_request]
name: webFeed
jobs:
  webFeed:
    runs-on: ubuntu-latest
    strategy:
      fail-fast: false
      matrix:
        include:
          - application: ojs
            php-version: 8.3
            database: mysql
          - application: ojs
            php-version: 8.2
            database: mysql
          - application: ojs
            php-version: 8.3
            database: pgsql
          - application: ojs
            php-version: 8.2
            database: pgsql
          - application: omp
            php-version: 8.3
            database: mysql
          - application: omp
            php-version: 8.2
            database: mysql
          - application: omp
            php-version: 8.3
            database: pgsql
          - application: omp
            php-version: 8.2
            database: pgsql
          - application: ops
            php-version: 8.3
            database: mysql
          - application: ops
            php-version: 8.2
            database: mysql
          - application: ops
            php-version: 8.3
            database: pgsql
          - application: ops
            php-version: 8.2
            database: pgsql
    name: webFeed
    steps:
      - uses: pkp/pkp-github-actions@v1
        with:
         node_version: 20
         branch: 'stable-3_5_0'
         repository: pkp
         plugin: true
         dataset_inject: true
